# HG changeset patch
# Node ID ee550ab7d2b15492c52304f8df73951f5a26752f
# Parent  a23c54665628803e4da9db4b6a5a79ad352c517a
diff --git a/gplugin/gplugin-file-source.c b/gplugin/gplugin-file-source.c
--- a/gplugin/gplugin-file-source.c
+++ b/gplugin/gplugin-file-source.c
@@ -82,14 +82,14 @@
 gplugin_file_source_add_loader(GPluginFileSource *source, GPluginLoader *loader)
 {
 	GSList *exts = NULL;
-	const gchar *loader_id = NULL;
+	const char *loader_id = NULL;
 
 	loader_id = gplugin_loader_get_id(loader);
 
 	exts = gplugin_loader_get_supported_extensions(loader);
 	while(exts != NULL) {
 		GSList *loaders = NULL;
-		const gchar *extension = exts->data;
+		const char *extension = exts->data;
 
 		/* Grab any existing loaders that are registered for this extension so
 		 * that we can prepend our loader. But before we add ours, we remove any
@@ -98,7 +98,7 @@
 		loaders = g_hash_table_lookup(source->loaders_by_extension, extension);
 		for(GSList *ll = loaders; ll != NULL; ll = ll->next) {
 			GPluginLoader *existing = ll->data;
-			const gchar *existing_id = gplugin_loader_get_id(existing);
+			const char *existing_id = gplugin_loader_get_id(existing);
 
 			if(g_str_equal(loader_id, existing_id)) {
 				loaders = g_slist_remove(loaders, existing);
@@ -128,19 +128,19 @@
 	GPluginLoader *loader)
 {
 	GSList *exts = NULL;
-	const gchar *loader_id = NULL;
+	const char *loader_id = NULL;
 
 	loader_id = gplugin_loader_get_id(loader);
 
 	exts = gplugin_loader_get_supported_extensions(loader);
 	while(exts != NULL) {
 		GSList *loaders = NULL;
-		const gchar *extension = exts->data;
+		const char *extension = exts->data;
 
 		loaders = g_hash_table_lookup(source->loaders_by_extension, extension);
 		for(GSList *ll = loaders; ll != NULL; ll = ll->next) {
 			GPluginLoader *existing = ll->data;
-			const gchar *existing_id = gplugin_loader_get_id(existing);
+			const char *existing_id = gplugin_loader_get_id(existing);
 
 			if(g_str_equal(loader_id, existing_id)) {
 				loaders = g_slist_remove(loaders, existing);
@@ -211,7 +211,7 @@
 {
 	GPluginFileSource *file_source = GPLUGIN_FILE_SOURCE(source);
 	gboolean refresh = FALSE;
-	gint errors = 0;
+	int errors = 0;
 
 	/* Clear any error messages from our last scan. */
 	g_clear_list(&file_source->error_messages, (GDestroyNotify)g_free);
@@ -219,14 +219,14 @@
 	for(GNode *dir = file_source->root->children; dir; dir = dir->next) {
 		GPluginFileTreeEntry *e = dir->data;
 		GNode *file = NULL;
-		const gchar *path = e->filename;
+		const char *path = e->filename;
 
 		for(file = dir->children; file; file = file->next) {
 			GPluginPlugin *plugin = NULL;
 			GPluginLoader *loader = NULL;
 			GError *error = NULL;
 			GSList *l = NULL;
-			gchar *filename = NULL;
+			char *filename = NULL;
 
 			e = (GPluginFileTreeEntry *)file->data;
 
@@ -266,7 +266,7 @@
 				 * try the next loader.
 				 */
 				if(error) {
-					gchar *error_message = NULL;
+					char *error_message = NULL;
 
 					errors++;
 
@@ -309,18 +309,18 @@
 				 * table.
 				 */
 
-				gchar *real_filename = gplugin_plugin_get_filename(plugin);
+				char *real_filename = gplugin_plugin_get_filename(plugin);
 
 				/* We also need the GPluginPluginInfo for a bunch of stuff. */
 				GPluginPluginInfo *info = gplugin_plugin_get_info(plugin);
 
-				const gchar *id = gplugin_plugin_info_get_id(info);
+				const char *id = gplugin_plugin_info_get_id(info);
 				GSList *l = NULL, *ll = NULL;
 				gboolean seen = FALSE;
 
 				/* Throw a warning if the info->id is NULL. */
 				if(id == NULL) {
-					gchar *error_message = NULL;
+					char *error_message = NULL;
 
 					error_message = g_strdup_printf(
 						"plugin %s has a NULL id",
@@ -348,7 +348,7 @@
 				l = gplugin_manager_find_plugins(file_source->manager, id);
 				for(ll = l; ll; ll = ll->next) {
 					GPluginPlugin *splugin = GPLUGIN_PLUGIN(ll->data);
-					gchar *sfilename = gplugin_plugin_get_filename(splugin);
+					char *sfilename = gplugin_plugin_get_filename(splugin);
 
 					if(!g_strcmp0(real_filename, sfilename)) {
 						seen = TRUE;
@@ -374,7 +374,7 @@
 					loaded = gplugin_loader_load_plugin(loader, plugin, &error);
 
 					if(!loaded) {
-						gchar *error_message = NULL;
+						char *error_message = NULL;
 
 						error_message = g_strdup_printf(
 							"failed to load %s during query: %s",
@@ -547,7 +547,7 @@
 	g_clear_pointer(&source->loaders_by_extension, g_hash_table_destroy);
 
 	while(source->error_messages != NULL) {
-		gchar *error_message = source->error_messages->data;
+		char *error_message = source->error_messages->data;
 
 		g_warning("%s", error_message);
 
diff --git a/gplugin/gplugin-file-tree.h b/gplugin/gplugin-file-tree.h
--- a/gplugin/gplugin-file-tree.h
+++ b/gplugin/gplugin-file-tree.h
@@ -23,8 +23,8 @@
 #include <gplugin/gplugin-version.h>
 
 typedef struct {
-	gchar *filename;
-	gchar *extension;
+	char *filename;
+	char *extension;
 } GPluginFileTreeEntry;
 
 G_BEGIN_DECLS
diff --git a/gplugin/gplugin-file-tree.c b/gplugin/gplugin-file-tree.c
--- a/gplugin/gplugin-file-tree.c
+++ b/gplugin/gplugin-file-tree.c
@@ -23,7 +23,7 @@
  * FileTreeEntry API
  *****************************************************************************/
 GPluginFileTreeEntry *
-gplugin_file_tree_entry_new(const gchar *filename)
+gplugin_file_tree_entry_new(const char *filename)
 {
 	GPluginFileTreeEntry *entry = NULL;
 
@@ -96,8 +96,8 @@
 		GError *error = NULL;
 		GNode *node_dir = NULL;
 		GPluginFileTreeEntry *entry = NULL;
-		const gchar *path = (const gchar *)iter->data;
-		const gchar *filename = NULL;
+		const char *path = (const char *)iter->data;
+		const char *filename = NULL;
 
 		dir = g_dir_open(path, 0, &error);
 		if(error) {
@@ -119,7 +119,7 @@
 		/* now run through all of the files and add then to the dir node */
 		while((filename = g_dir_read_name(dir)) != NULL) {
 			GNode *file = NULL;
-			gchar *test_filename = g_build_filename(path, filename, NULL);
+			char *test_filename = g_build_filename(path, filename, NULL);
 
 			if(g_file_test(test_filename, G_FILE_TEST_IS_REGULAR)) {
 				entry = gplugin_file_tree_entry_new(filename);
diff --git a/gplugin/gplugin-loader-tests.h b/gplugin/gplugin-loader-tests.h
--- a/gplugin/gplugin-loader-tests.h
+++ b/gplugin/gplugin-loader-tests.h
@@ -23,11 +23,11 @@
 
 G_BEGIN_DECLS
 
-void gplugin_loader_tests_add_tests(const gchar *short_name);
+void gplugin_loader_tests_add_tests(const char *short_name);
 void gplugin_loader_tests_main(
-	const gchar *loader_dir,
-	const gchar *plugin_dir,
-	const gchar *short_name);
+	const char *loader_dir,
+	const char *plugin_dir,
+	const char *short_name);
 
 G_END_DECLS
 
diff --git a/gplugin/gplugin-loader-tests.c b/gplugin/gplugin-loader-tests.c
--- a/gplugin/gplugin-loader-tests.c
+++ b/gplugin/gplugin-loader-tests.c
@@ -26,7 +26,7 @@
  * Structs
  *****************************************************************************/
 typedef struct {
-	gchar *path;
+	char *path;
 	GTestDataFunc func;
 } GPluginTestLoaderFunction;
 
@@ -40,12 +40,12 @@
 	GPluginPlugin *plugin = NULL;
 	GPluginPluginInfo *info = NULL;
 	GError *error = NULL;
-	gchar *id = NULL;
-	gchar **authors = NULL;
-	const gchar *const r_authors[] = {"author1", NULL};
-	gint i;
+	char *id = NULL;
+	char **authors = NULL;
+	const char *const r_authors[] = {"author1", NULL};
+	int i;
 
-	id = g_strdup_printf("gplugin/%s-basic-plugin", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-basic-plugin", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_assert_nonnull(plugin);
 
@@ -59,7 +59,7 @@
 	g_assert_true(
 		g_str_has_prefix(gplugin_plugin_info_get_name(info), "basic plugin"));
 
-	authors = (gchar **)gplugin_plugin_info_get_authors(info);
+	authors = (char **)gplugin_plugin_info_get_authors(info);
 	for(i = 0; r_authors[i]; i++)
 		g_assert_cmpstr(authors[i], ==, r_authors[i]);
 
@@ -115,10 +115,10 @@
 	GPluginManager *manager = gplugin_manager_get_default();
 	GPluginPlugin *plugin = NULL;
 	GError *error = NULL;
-	gchar *id = NULL;
+	char *id = NULL;
 	gboolean ret = FALSE;
 
-	id = g_strdup_printf("gplugin/%s-load-failed", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-load-failed", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_free(id);
 	g_assert_nonnull(plugin);
@@ -152,10 +152,10 @@
 	GPluginManager *manager = gplugin_manager_get_default();
 	GPluginPlugin *plugin = NULL;
 	GError *error = NULL;
-	gchar *id = NULL;
+	char *id = NULL;
 	gboolean ret = FALSE;
 
-	id = g_strdup_printf("gplugin/%s-load-exception", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-load-exception", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_free(id);
 	g_assert_nonnull(plugin);
@@ -190,12 +190,12 @@
 	GPluginManager *manager = NULL;
 	GPluginPlugin *plugin = NULL;
 	GError *error = NULL;
-	gchar *id = NULL;
+	char *id = NULL;
 	gboolean ret = FALSE;
 
 	manager = gplugin_manager_get_default();
 
-	id = g_strdup_printf("gplugin/%s-unload-shutdown", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-unload-shutdown", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_free(id);
 	g_assert_nonnull(plugin);
@@ -233,10 +233,10 @@
 	GPluginManager *manager = gplugin_manager_get_default();
 	GPluginPlugin *plugin = NULL;
 	GError *error = NULL;
-	gchar *id = NULL;
+	char *id = NULL;
 	gboolean ret = FALSE;
 
-	id = g_strdup_printf("gplugin/%s-unload-failed", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-unload-failed", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_free(id);
 	g_assert_nonnull(plugin);
@@ -278,12 +278,12 @@
 	GPluginManager *manager = gplugin_manager_get_default();
 	GPluginPlugin *plugin = NULL;
 	GPluginPluginInfo *info = NULL;
-	gchar *id = NULL;
-	gchar **deps = NULL;
-	const gchar *const r_deps[] = {"dependency1", "dependency2", NULL};
-	gint i = 0;
+	char *id = NULL;
+	char **deps = NULL;
+	const char *const r_deps[] = {"dependency1", "dependency2", NULL};
+	int i = 0;
 
-	id = g_strdup_printf("gplugin/%s-dependent-plugin", (const gchar *)d);
+	id = g_strdup_printf("gplugin/%s-dependent-plugin", (const char *)d);
 	plugin = gplugin_manager_find_plugin(manager, id);
 	g_free(id);
 	g_assert_nonnull(plugin);
@@ -291,7 +291,7 @@
 	info = gplugin_plugin_get_info(plugin);
 	g_assert_nonnull(info);
 
-	deps = (gchar **)gplugin_plugin_info_get_dependencies(info);
+	deps = (char **)gplugin_plugin_info_get_dependencies(info);
 	for(i = 0; r_deps[i]; i++)
 		g_assert_cmpstr(r_deps[i], ==, deps[i]);
 
@@ -312,12 +312,12 @@
 };
 
 void
-gplugin_loader_tests_add_tests(const gchar *short_name)
+gplugin_loader_tests_add_tests(const char *short_name)
 {
-	gint i = 0;
+	int i = 0;
 
 	for(i = 0; test_functions[i].path; i++) {
-		gchar *path = g_strdup_printf(test_functions[i].path, short_name);
+		char *path = g_strdup_printf(test_functions[i].path, short_name);
 
 		g_test_add_data_func(path, short_name, test_functions[i].func);
 
@@ -327,9 +327,9 @@
 
 void
 gplugin_loader_tests_main(
-	const gchar *loader_dir,
-	const gchar *plugin_dir,
-	const gchar *short_name)
+	const char *loader_dir,
+	const char *plugin_dir,
+	const char *short_name)
 {
 	GPluginManager *manager = NULL;
 
diff --git a/gplugin/gplugin-loader.h b/gplugin/gplugin-loader.h
--- a/gplugin/gplugin-loader.h
+++ b/gplugin/gplugin-loader.h
@@ -50,7 +50,7 @@
 	GSList *(*supported_extensions)(GPluginLoader *loader);
 
 	GPluginPlugin *(
-		*query)(GPluginLoader *loader, const gchar *filename, GError **error);
+		*query)(GPluginLoader *loader, const char *filename, GError **error);
 
 	gboolean (
 		*load)(GPluginLoader *loader, GPluginPlugin *plugin, GError **error);
@@ -65,7 +65,7 @@
 };
 
 GPLUGIN_AVAILABLE_IN_0_34
-const gchar *gplugin_loader_get_id(GPluginLoader *loader);
+const char *gplugin_loader_get_id(GPluginLoader *loader);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GSList *gplugin_loader_get_supported_extensions(GPluginLoader *loader);
@@ -73,7 +73,7 @@
 GPLUGIN_AVAILABLE_IN_ALL
 GPluginPlugin *gplugin_loader_query_plugin(
 	GPluginLoader *loader,
-	const gchar *filename,
+	const char *filename,
 	GError **error);
 
 GPLUGIN_AVAILABLE_IN_ALL
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -40,7 +40,7 @@
  */
 
 typedef struct {
-	gchar *id;
+	char *id;
 } GPluginLoaderPrivate;
 
 enum {
@@ -61,7 +61,7 @@
  * Helpers
  *****************************************************************************/
 static void
-gplugin_loader_set_id(GPluginLoader *loader, const gchar *id)
+gplugin_loader_set_id(GPluginLoader *loader, const char *id)
 {
 	GPluginLoaderPrivate *priv = gplugin_loader_get_instance_private(loader);
 
@@ -170,7 +170,7 @@
  *
  * Since: 0.34
  */
-const gchar *
+const char *
 gplugin_loader_get_id(GPluginLoader *loader)
 {
 	GPluginLoaderPrivate *priv = NULL;
@@ -196,7 +196,7 @@
 GPluginPlugin *
 gplugin_loader_query_plugin(
 	GPluginLoader *loader,
-	const gchar *filename,
+	const char *filename,
 	GError **error)
 {
 	GPluginLoaderClass *klass = NULL;
diff --git a/gplugin/gplugin-manager.h b/gplugin/gplugin-manager.h
--- a/gplugin/gplugin-manager.h
+++ b/gplugin/gplugin-manager.h
@@ -36,18 +36,18 @@
 G_DECLARE_FINAL_TYPE(GPluginManager, gplugin_manager, GPLUGIN, MANAGER, GObject)
 
 typedef void (*GPluginManagerForeachFunc)(
-	const gchar *id,
+	const char *id,
 	GSList *plugins,
 	gpointer data);
 
 GPLUGIN_AVAILABLE_IN_ALL
-void gplugin_manager_append_path(GPluginManager *manager, const gchar *path);
+void gplugin_manager_append_path(GPluginManager *manager, const char *path);
 
 GPLUGIN_AVAILABLE_IN_ALL
-void gplugin_manager_prepend_path(GPluginManager *manager, const gchar *path);
+void gplugin_manager_prepend_path(GPluginManager *manager, const char *path);
 
 GPLUGIN_AVAILABLE_IN_ALL
-void gplugin_manager_remove_path(GPluginManager *manager, const gchar *path);
+void gplugin_manager_remove_path(GPluginManager *manager, const char *path);
 
 GPLUGIN_AVAILABLE_IN_ALL
 void gplugin_manager_remove_paths(GPluginManager *manager);
@@ -58,18 +58,18 @@
 GPLUGIN_AVAILABLE_IN_ALL
 void gplugin_manager_add_app_paths(
 	GPluginManager *manager,
-	const gchar *prefix,
-	const gchar *appname);
+	const char *prefix,
+	const char *appname);
 
 GPLUGIN_AVAILABLE_IN_0_37
 void gplugin_manager_append_paths_from_environment(
 	GPluginManager *manager,
-	const gchar *name);
+	const char *name);
 
 GPLUGIN_AVAILABLE_IN_0_37
 void gplugin_manager_prepend_paths_from_environment(
 	GPluginManager *manager,
-	const gchar *name);
+	const char *name);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GList *gplugin_manager_get_paths(GPluginManager *manager);
@@ -99,14 +99,14 @@
 	gpointer data);
 
 GPLUGIN_AVAILABLE_IN_ALL
-GSList *gplugin_manager_find_plugins(GPluginManager *manager, const gchar *id);
+GSList *gplugin_manager_find_plugins(GPluginManager *manager, const char *id);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GSList *gplugin_manager_find_plugins_with_version(
 	GPluginManager *manager,
-	const gchar *id,
-	const gchar *op,
-	const gchar *version);
+	const char *id,
+	const char *op,
+	const char *version);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GSList *gplugin_manager_find_plugins_with_state(
@@ -116,7 +116,7 @@
 GPLUGIN_AVAILABLE_IN_ALL
 GPluginPlugin *gplugin_manager_find_plugin(
 	GPluginManager *manager,
-	const gchar *id);
+	const char *id);
 
 GPLUGIN_AVAILABLE_IN_0_44
 GPluginPlugin *gplugin_manager_find_plugin_with_filename(
@@ -126,7 +126,7 @@
 GPLUGIN_AVAILABLE_IN_ALL
 GPluginPlugin *gplugin_manager_find_plugin_with_newest_version(
 	GPluginManager *manager,
-	const gchar *id);
+	const char *id);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GSList *gplugin_manager_get_plugin_dependencies(
diff --git a/gplugin/gplugin-manager.c b/gplugin/gplugin-manager.c
--- a/gplugin/gplugin-manager.c
+++ b/gplugin/gplugin-manager.c
@@ -90,7 +90,7 @@
 static guint signals[N_SIGNALS] = {
 	0,
 };
-const gchar *dependency_pattern =
+const char *dependency_pattern =
 	"^(?P<id>.+?)((?P<op>\\<=|\\<|==|=|\\>=|\\>)(?P<version>.+))?$";
 
 /******************************************************************************
@@ -117,12 +117,12 @@
 static void
 gplugin_manager_change_paths_from_environment(
 	GPluginManager *manager,
-	const gchar *name,
+	const char *name,
 	gboolean prepend)
 {
-	gchar **paths;
-	gint i;
-	const gchar *from_env;
+	char **paths;
+	int i;
+	const char *from_env;
 
 	from_env = g_getenv(name);
 	if(from_env == NULL) {
@@ -147,7 +147,7 @@
 	G_GNUC_UNUSED gpointer data)
 {
 	GList *l = NULL;
-	gchar *id = (gchar *)key;
+	char *id = (char *)key;
 
 	for(l = (GList *)value; l; l = l->next) {
 		GPluginPlugin *plugin = GPLUGIN_PLUGIN(l->data);
@@ -170,8 +170,8 @@
 	}
 }
 
-static gchar *
-gplugin_manager_normalize_path(const gchar *path)
+static char *
+gplugin_manager_normalize_path(const char *path)
 {
 	if(g_str_has_suffix(path, G_DIR_SEPARATOR_S)) {
 		return g_strdup(path);
@@ -180,14 +180,14 @@
 	return g_strdup_printf("%s%s", path, G_DIR_SEPARATOR_S);
 }
 
-static gint
+static int
 gplugin_manager_compare_paths(gconstpointer a, gconstpointer b)
 {
-	gchar *keya = NULL, *keyb = NULL;
-	gint r = 0;
+	char *keya = NULL, *keyb = NULL;
+	int r = 0;
 
-	keya = g_utf8_collate_key_for_filename((const gchar *)a, -1);
-	keyb = g_utf8_collate_key_for_filename((const gchar *)b, -1);
+	keya = g_utf8_collate_key_for_filename((const char *)a, -1);
+	keyb = g_utf8_collate_key_for_filename((const char *)b, -1);
 
 	r = strcmp(keya, keyb);
 
@@ -561,10 +561,10 @@
  * Adds @path to the end of the list of paths to search for plugins.
  */
 void
-gplugin_manager_append_path(GPluginManager *manager, const gchar *path)
+gplugin_manager_append_path(GPluginManager *manager, const char *path)
 {
 	GList *l = NULL;
-	gchar *normalized = NULL;
+	char *normalized = NULL;
 
 	g_return_if_fail(GPLUGIN_IS_MANAGER(manager));
 	g_return_if_fail(path != NULL);
@@ -590,10 +590,10 @@
  * Adds @path to the beginning of the list of paths to search for plugins.
  */
 void
-gplugin_manager_prepend_path(GPluginManager *manager, const gchar *path)
+gplugin_manager_prepend_path(GPluginManager *manager, const char *path)
 {
 	GList *l = NULL;
-	gchar *normalized = NULL;
+	char *normalized = NULL;
 
 	g_return_if_fail(GPLUGIN_IS_MANAGER(manager));
 	g_return_if_fail(path != NULL);
@@ -619,10 +619,10 @@
  * Removes @path from the list of paths to search for plugins.
  */
 void
-gplugin_manager_remove_path(GPluginManager *manager, const gchar *path)
+gplugin_manager_remove_path(GPluginManager *manager, const char *path)
 {
 	GList *l = NULL;
-	gchar *normalized = NULL;
+	char *normalized = NULL;
 
 	g_return_if_fail(GPLUGIN_IS_MANAGER(manager));
 	g_return_if_fail(path != NULL);
@@ -666,7 +666,7 @@
 void
 gplugin_manager_add_default_paths(GPluginManager *manager)
 {
-	gchar *path;
+	char *path;
 
 	g_return_if_fail(GPLUGIN_IS_MANAGER(manager));
 
@@ -693,10 +693,10 @@
 void
 gplugin_manager_add_app_paths(
 	GPluginManager *manager,
-	const gchar *prefix,
-	const gchar *appname)
+	const char *prefix,
+	const char *appname)
 {
-	gchar *path;
+	char *path;
 
 	g_return_if_fail(GPLUGIN_IS_MANAGER(manager));
 	g_return_if_fail(appname != NULL);
@@ -722,7 +722,7 @@
 void
 gplugin_manager_append_paths_from_environment(
 	GPluginManager *manager,
-	const gchar *name)
+	const char *name)
 {
 	gplugin_manager_change_paths_from_environment(manager, name, FALSE);
 }
@@ -739,7 +739,7 @@
 void
 gplugin_manager_prepend_paths_from_environment(
 	GPluginManager *manager,
-	const gchar *name)
+	const char *name)
 {
 	gplugin_manager_change_paths_from_environment(manager, name, TRUE);
 }
@@ -779,7 +779,7 @@
 	GError **error)
 {
 	GPluginLoader *found = NULL;
-	const gchar *id = NULL;
+	const char *id = NULL;
 
 	g_return_val_if_fail(GPLUGIN_IS_MANAGER(manager), FALSE);
 	g_return_val_if_fail(GPLUGIN_IS_LOADER(loader), FALSE);
@@ -823,7 +823,7 @@
 	GPluginLoader *loader,
 	GError **error)
 {
-	const gchar *id = NULL;
+	const char *id = NULL;
 
 	g_return_val_if_fail(GPLUGIN_IS_MANAGER(manager), FALSE);
 	g_return_val_if_fail(GPLUGIN_IS_LOADER(loader), FALSE);
@@ -923,7 +923,7 @@
 
 	g_hash_table_iter_init(&iter, manager->plugins);
 	while(g_hash_table_iter_next(&iter, &id, &plugins)) {
-		func((gchar *)id, (GSList *)plugins, data);
+		func((char *)id, (GSList *)plugins, data);
 	}
 }
 
@@ -938,7 +938,7 @@
  *          of plugins matching @id.
  */
 GSList *
-gplugin_manager_find_plugins(GPluginManager *manager, const gchar *id)
+gplugin_manager_find_plugins(GPluginManager *manager, const char *id)
 {
 	GSList *plugins_list = NULL, *l;
 
@@ -970,9 +970,9 @@
 GSList *
 gplugin_manager_find_plugins_with_version(
 	GPluginManager *manager,
-	const gchar *id,
-	const gchar *op,
-	const gchar *version)
+	const char *id,
+	const char *op,
+	const char *version)
 {
 	GSList *plugins = NULL, *filtered = NULL, *l = NULL;
 
@@ -990,8 +990,8 @@
 	for(l = plugins; l; l = l->next) {
 		GPluginPlugin *plugin = GPLUGIN_PLUGIN(l->data);
 		GPluginPluginInfo *info = NULL;
-		const gchar *found_version = NULL;
-		gint result = 0;
+		const char *found_version = NULL;
+		int result = 0;
 		gboolean keep = FALSE;
 
 		/* get the plugin's version from it's info */
@@ -1078,7 +1078,7 @@
  *          matching @id was found.
  */
 GPluginPlugin *
-gplugin_manager_find_plugin(GPluginManager *manager, const gchar *id)
+gplugin_manager_find_plugin(GPluginManager *manager, const char *id)
 {
 	GSList *plugins_list = NULL;
 	GPluginPlugin *plugin = NULL;
@@ -1162,11 +1162,11 @@
 GPluginPlugin *
 gplugin_manager_find_plugin_with_newest_version(
 	GPluginManager *manager,
-	const gchar *id)
+	const char *id)
 {
 	GPluginPlugin *plugin_a = NULL;
 	GPluginPluginInfo *info_a = NULL;
-	const gchar *version_a = NULL;
+	const char *version_a = NULL;
 	GSList *l = NULL;
 
 	g_return_val_if_fail(id != NULL, NULL);
@@ -1175,8 +1175,8 @@
 	for(; l != NULL; l = g_slist_delete_link(l, l)) {
 		GPluginPlugin *plugin_b = NULL;
 		GPluginPluginInfo *info_b = NULL;
-		const gchar *version_b = NULL;
-		gint cmp = 0;
+		const char *version_b = NULL;
+		int cmp = 0;
 
 		if(!GPLUGIN_IS_PLUGIN(l->data)) {
 			continue;
@@ -1243,8 +1243,8 @@
 {
 	GPluginPluginInfo *info = NULL;
 	GSList *ret = NULL;
-	const gchar *const *dependencies = NULL;
-	gint i = 0;
+	const char *const *dependencies = NULL;
+	int i = 0;
 
 	g_return_val_if_fail(GPLUGIN_IS_MANAGER(manager), NULL);
 	g_return_val_if_fail(GPLUGIN_IS_PLUGIN(plugin), NULL);
@@ -1259,14 +1259,14 @@
 
 	for(i = 0; dependencies[i] != NULL; i++) {
 		gboolean found = FALSE;
-		gchar **ors = NULL;
-		gint o = 0;
+		char **ors = NULL;
+		int o = 0;
 
 		ors = g_strsplit(dependencies[i], "|", 0);
 		for(o = 0; ors[o]; o++) {
 			GMatchInfo *match = NULL;
 			GSList *matches = NULL;
-			gchar *oid = NULL, *oop = NULL, *over = NULL;
+			char *oid = NULL, *oop = NULL, *over = NULL;
 
 			if(!g_regex_match(manager->dependency_regex, ors[o], 0, &match)) {
 				continue;
@@ -1359,7 +1359,7 @@
 	/* now try to get the plugin info from the plugin */
 	info = gplugin_plugin_get_info(plugin);
 	if(info == NULL) {
-		gchar *filename = gplugin_plugin_get_filename(plugin);
+		char *filename = gplugin_plugin_get_filename(plugin);
 
 		g_set_error(
 			error,
@@ -1388,7 +1388,7 @@
 	loader = gplugin_plugin_get_loader(plugin);
 
 	if(!GPLUGIN_IS_LOADER(loader)) {
-		gchar *filename = gplugin_plugin_get_filename(plugin);
+		char *filename = gplugin_plugin_get_filename(plugin);
 
 		g_set_error(
 			error,
@@ -1539,7 +1539,7 @@
 
 	g_hash_table_iter_init(&iter, manager->plugins);
 	while(g_hash_table_iter_next(&iter, &key, NULL)) {
-		g_queue_push_tail(queue, (gchar *)key);
+		g_queue_push_tail(queue, (char *)key);
 	}
 
 	ret = g_list_copy(queue->head);
@@ -1563,7 +1563,7 @@
 void
 gplugin_manager_add_plugin(
 	GPluginManager *manager,
-	const gchar *id,
+	const char *id,
 	GPluginPlugin *plugin)
 {
 	GSList *plugins = NULL;
diff --git a/gplugin/gplugin-native-loader.c b/gplugin/gplugin-native-loader.c
--- a/gplugin/gplugin-native-loader.c
+++ b/gplugin/gplugin-native-loader.c
@@ -55,7 +55,7 @@
 static gpointer
 gplugin_native_loader_lookup_symbol(
 	GModule *module,
-	const gchar *name,
+	const char *name,
 	GError **error)
 {
 	gpointer symbol = NULL;
@@ -99,7 +99,7 @@
 
 static GPluginPluginInfo *
 gplugin_native_loader_open_and_query(
-	const gchar *filename,
+	const char *filename,
 	GModule **module,
 	GModuleFlags flags,
 	GPluginNativePluginQueryFunc *query,
@@ -157,7 +157,7 @@
 static GPluginPlugin *
 gplugin_native_loader_query(
 	GPluginLoader *loader,
-	const gchar *filename,
+	const char *filename,
 	GError **error)
 {
 	GPluginPlugin *plugin = NULL;
@@ -333,7 +333,7 @@
 
 	/* validate the function */
 	if(func == NULL) {
-		gchar *filename = gplugin_plugin_get_filename(plugin);
+		char *filename = gplugin_plugin_get_filename(plugin);
 
 		g_warning(_("unload function for %s is NULL"), filename);
 
diff --git a/gplugin/gplugin-native-plugin.c b/gplugin/gplugin-native-plugin.c
--- a/gplugin/gplugin-native-plugin.c
+++ b/gplugin/gplugin-native-plugin.c
@@ -126,7 +126,7 @@
 	gpointer load_func;
 	gpointer unload_func;
 
-	gchar *filename;
+	char *filename;
 	GPluginLoader *loader;
 	GPluginPluginInfo *info;
 	GPluginPluginState state;
diff --git a/gplugin/gplugin-options.c b/gplugin/gplugin-options.c
--- a/gplugin/gplugin-options.c
+++ b/gplugin/gplugin-options.c
@@ -27,12 +27,12 @@
  * Options
  *****************************************************************************/
 static gboolean add_default_paths = TRUE, register_native_loader = TRUE;
-static gchar **paths = NULL;
+static char **paths = NULL;
 
 static gboolean
 gplugin_options_no_default_paths_cb(
-	G_GNUC_UNUSED const gchar *n,
-	G_GNUC_UNUSED const gchar *v,
+	G_GNUC_UNUSED const char *n,
+	G_GNUC_UNUSED const char *v,
 	G_GNUC_UNUSED gpointer d,
 	G_GNUC_UNUSED GError **e)
 {
@@ -43,8 +43,8 @@
 
 static gboolean
 gplugin_options_no_native_loader_cb(
-	G_GNUC_UNUSED const gchar *n,
-	G_GNUC_UNUSED const gchar *v,
+	G_GNUC_UNUSED const char *n,
+	G_GNUC_UNUSED const char *v,
 	G_GNUC_UNUSED gpointer d,
 	G_GNUC_UNUSED GError **e)
 {
diff --git a/gplugin/gplugin-plugin-info.h b/gplugin/gplugin-plugin-info.h
--- a/gplugin/gplugin-plugin-info.h
+++ b/gplugin/gplugin-plugin-info.h
@@ -58,16 +58,16 @@
 /* clang-format on */
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_id(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_id(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-gchar *gplugin_plugin_info_get_id_normalized(GPluginPluginInfo *info);
+char *gplugin_plugin_info_get_id_normalized(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_0_32
-const gchar *const *gplugin_plugin_info_get_provides(GPluginPluginInfo *info);
+const char *const *gplugin_plugin_info_get_provides(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-gint gplugin_plugin_info_get_priority(GPluginPluginInfo *info);
+int gplugin_plugin_info_get_priority(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
 guint32 gplugin_plugin_info_get_abi_version(GPluginPluginInfo *info);
@@ -82,43 +82,43 @@
 gboolean gplugin_plugin_info_get_load_on_query(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_name(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_name(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_version(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_version(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_0_39
-const gchar *gplugin_plugin_info_get_settings_schema(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_settings_schema(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_license_id(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_license_id(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_license_text(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_license_text(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_license_url(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_license_url(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_icon_name(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_icon_name(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_summary(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_summary(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_description(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_description(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_category(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_category(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *const *gplugin_plugin_info_get_authors(GPluginPluginInfo *info);
+const char *const *gplugin_plugin_info_get_authors(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_plugin_info_get_website(GPluginPluginInfo *info);
+const char *gplugin_plugin_info_get_website(GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *const *gplugin_plugin_info_get_dependencies(
+const char *const *gplugin_plugin_info_get_dependencies(
 	GPluginPluginInfo *info);
 
 GPLUGIN_AVAILABLE_IN_0_44
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -37,29 +37,29 @@
  * Structs
  *****************************************************************************/
 typedef struct {
-	gchar *id;
+	char *id;
 	guint32 discriminator;
 
-	gchar **provides;
-	gint priority;
+	char **provides;
+	int priority;
 
-	gchar *name;
-	gchar *version;
-	gchar *settings_schema;
+	char *name;
+	char *version;
+	char *settings_schema;
 
-	gchar *license_id;
-	gchar *license_text;
-	gchar *license_url;
+	char *license_id;
+	char *license_text;
+	char *license_url;
 
-	gchar *icon_name;
+	char *icon_name;
 
-	gchar *summary;
-	gchar *description;
-	gchar *category;
-	gchar **authors;
-	gchar *website;
+	char *summary;
+	char *description;
+	char *category;
+	char **authors;
+	char *website;
 
-	gchar **dependencies;
+	char **dependencies;
 
 	guint32 abi_version;
 	gboolean internal;
@@ -112,7 +112,7 @@
  * Private API
  *****************************************************************************/
 static void
-gplugin_plugin_info_set_id(GPluginPluginInfo *info, const gchar *id)
+gplugin_plugin_info_set_id(GPluginPluginInfo *info, const char *id)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -123,20 +123,20 @@
 static void
 gplugin_plugin_info_set_provides(
 	GPluginPluginInfo *info,
-	const gchar *const *provides)
+	const char *const *provides)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
 
 	g_strfreev(priv->provides);
 
-	priv->provides = g_strdupv((gchar **)provides);
+	priv->provides = g_strdupv((char **)provides);
 
 	g_object_notify_by_pspec(G_OBJECT(info), properties[PROP_PROVIDES]);
 }
 
 static void
-gplugin_plugin_info_set_priority(GPluginPluginInfo *info, gint priority)
+gplugin_plugin_info_set_priority(GPluginPluginInfo *info, int priority)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -189,7 +189,7 @@
 }
 
 static void
-gplugin_plugin_info_set_name(GPluginPluginInfo *info, const gchar *name)
+gplugin_plugin_info_set_name(GPluginPluginInfo *info, const char *name)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -198,7 +198,7 @@
 }
 
 static void
-gplugin_plugin_info_set_version(GPluginPluginInfo *info, const gchar *version)
+gplugin_plugin_info_set_version(GPluginPluginInfo *info, const char *version)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -209,7 +209,7 @@
 static void
 gplugin_plugin_info_set_settings_schema(
 	GPluginPluginInfo *info,
-	const gchar *settings_schema)
+	const char *settings_schema)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -220,7 +220,7 @@
 static void
 gplugin_plugin_info_set_license_id(
 	GPluginPluginInfo *info,
-	const gchar *license_id)
+	const char *license_id)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -231,7 +231,7 @@
 static void
 gplugin_plugin_info_set_license_text(
 	GPluginPluginInfo *info,
-	const gchar *license_text)
+	const char *license_text)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -242,7 +242,7 @@
 static void
 gplugin_plugin_info_set_license_url(
 	GPluginPluginInfo *info,
-	const gchar *license_url)
+	const char *license_url)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -253,7 +253,7 @@
 static void
 gplugin_plugin_info_set_icon_name(
 	GPluginPluginInfo *info,
-	const gchar *icon_name)
+	const char *icon_name)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -262,7 +262,7 @@
 }
 
 static void
-gplugin_plugin_info_set_summary(GPluginPluginInfo *info, const gchar *summary)
+gplugin_plugin_info_set_summary(GPluginPluginInfo *info, const char *summary)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -273,7 +273,7 @@
 static void
 gplugin_plugin_info_set_description(
 	GPluginPluginInfo *info,
-	const gchar *description)
+	const char *description)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -282,7 +282,7 @@
 }
 
 static void
-gplugin_plugin_info_set_category(GPluginPluginInfo *info, const gchar *category)
+gplugin_plugin_info_set_category(GPluginPluginInfo *info, const char *category)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -293,18 +293,18 @@
 static void
 gplugin_plugin_info_set_authors(
 	GPluginPluginInfo *info,
-	const gchar *const *authors)
+	const char *const *authors)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
 
 	g_strfreev(priv->authors);
 
-	priv->authors = g_strdupv((gchar **)authors);
+	priv->authors = g_strdupv((char **)authors);
 }
 
 static void
-gplugin_plugin_info_set_website(GPluginPluginInfo *info, const gchar *website)
+gplugin_plugin_info_set_website(GPluginPluginInfo *info, const char *website)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
@@ -315,14 +315,14 @@
 static void
 gplugin_plugin_info_set_dependencies(
 	GPluginPluginInfo *info,
-	const gchar *const *dependencies)
+	const char *const *dependencies)
 {
 	GPluginPluginInfoPrivate *priv =
 		gplugin_plugin_info_get_instance_private(info);
 
 	g_strfreev(priv->dependencies);
 
-	priv->dependencies = g_strdupv((gchar **)dependencies);
+	priv->dependencies = g_strdupv((char **)dependencies);
 }
 
 static void
@@ -974,7 +974,7 @@
  *
  * Returns: The id from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_id(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -995,11 +995,11 @@
  *
  * Returns: (transfer full): The normalized id of @info.
  */
-gchar *
+char *
 gplugin_plugin_info_get_id_normalized(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
-	gchar *copy = NULL;
+	char *copy = NULL;
 
 	g_return_val_if_fail(GPLUGIN_IS_PLUGIN_INFO(info), NULL);
 
@@ -1029,7 +1029,7 @@
  *
  * Since: 0.32
  */
-const gchar *const *
+const char *const *
 gplugin_plugin_info_get_provides(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1038,7 +1038,7 @@
 
 	priv = gplugin_plugin_info_get_instance_private(info);
 
-	return (const gchar *const *)priv->provides;
+	return (const char *const *)priv->provides;
 }
 
 /**
@@ -1051,7 +1051,7 @@
  *
  * Since: 0.32
  */
-gint
+int
 gplugin_plugin_info_get_priority(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1166,7 +1166,7 @@
  *
  * Returns: The name from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_name(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1186,7 +1186,7 @@
  *
  * Returns: The version from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_version(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1208,7 +1208,7 @@
  *
  * Returns: The schema ID from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_settings_schema(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1228,7 +1228,7 @@
  *
  * Returns: The license-id from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_license_id(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1248,7 +1248,7 @@
  *
  * Returns: The text of the license from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_license_text(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1268,7 +1268,7 @@
  *
  * Returns: The url of the license from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_license_url(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1288,7 +1288,7 @@
  *
  * Returns: The icon name from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_icon_name(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1308,7 +1308,7 @@
  *
  * Returns: The summary from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_summary(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1328,7 +1328,7 @@
  *
  * Returns: The description from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_description(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1348,7 +1348,7 @@
  *
  * Returns: The category from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_category(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1368,7 +1368,7 @@
  *
  * Returns: (array zero-terminated=1) (transfer none): The authors from @info.
  */
-const gchar *const *
+const char *const *
 gplugin_plugin_info_get_authors(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1377,7 +1377,7 @@
 
 	priv = gplugin_plugin_info_get_instance_private(info);
 
-	return (const gchar *const *)priv->authors;
+	return (const char *const *)priv->authors;
 }
 
 /**
@@ -1388,7 +1388,7 @@
  *
  * Returns: The website from @info.
  */
-const gchar *
+const char *
 gplugin_plugin_info_get_website(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1409,7 +1409,7 @@
  * Returns: (array zero-terminated=1) (transfer none): The list of
  *          dependencies from @info.
  */
-const gchar *const *
+const char *const *
 gplugin_plugin_info_get_dependencies(GPluginPluginInfo *info)
 {
 	GPluginPluginInfoPrivate *priv = NULL;
@@ -1418,7 +1418,7 @@
 
 	priv = gplugin_plugin_info_get_instance_private(info);
 
-	return (const gchar *const *)priv->dependencies;
+	return (const char *const *)priv->dependencies;
 }
 
 /**
diff --git a/gplugin/gplugin-plugin.h b/gplugin/gplugin-plugin.h
--- a/gplugin/gplugin-plugin.h
+++ b/gplugin/gplugin-plugin.h
@@ -68,7 +68,7 @@
 };
 
 GPLUGIN_AVAILABLE_IN_ALL
-gchar *gplugin_plugin_get_filename(GPluginPlugin *plugin);
+char *gplugin_plugin_get_filename(GPluginPlugin *plugin);
 
 GPLUGIN_AVAILABLE_IN_ALL
 GPluginLoader *gplugin_plugin_get_loader(GPluginPlugin *plugin);
@@ -94,7 +94,7 @@
 GError *gplugin_plugin_get_error(GPluginPlugin *plugin);
 
 GPLUGIN_AVAILABLE_IN_0_32
-const gchar *gplugin_plugin_state_to_string(GPluginPluginState state);
+const char *gplugin_plugin_state_to_string(GPluginPluginState state);
 
 G_END_DECLS
 
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -192,10 +192,10 @@
  *
  * Returns: (transfer full): The filename of @plugin.
  */
-gchar *
+char *
 gplugin_plugin_get_filename(GPluginPlugin *plugin)
 {
-	gchar *filename = NULL;
+	char *filename = NULL;
 
 	g_return_val_if_fail(GPLUGIN_IS_PLUGIN(plugin), NULL);
 
@@ -386,10 +386,10 @@
  *
  * Since: 0.32
  */
-const gchar *
+const char *
 gplugin_plugin_state_to_string(GPluginPluginState state)
 {
-	const gchar *state_str = NULL;
+	const char *state_str = NULL;
 
 	switch(state) {
 		case GPLUGIN_PLUGIN_STATE_QUERIED:
diff --git a/gplugin/gplugin-private.h b/gplugin/gplugin-private.h
--- a/gplugin/gplugin-private.h
+++ b/gplugin/gplugin-private.h
@@ -47,7 +47,7 @@
 G_GNUC_INTERNAL
 void gplugin_manager_add_plugin(
 	GPluginManager *manager,
-	const gchar *id,
+	const char *id,
 	GPluginPlugin *plugin);
 
 G_END_DECLS
diff --git a/gplugin/gplugin-version.h b/gplugin/gplugin-version.h
--- a/gplugin/gplugin-version.h
+++ b/gplugin/gplugin-version.h
@@ -357,10 +357,10 @@
 G_BEGIN_DECLS
 
 GPLUGIN_AVAILABLE_IN_ALL
-const gchar *gplugin_version_check(guint major, guint minor, guint micro);
+const char *gplugin_version_check(guint major, guint minor, guint micro);
 
 GPLUGIN_AVAILABLE_IN_ALL
-gint gplugin_version_compare(const gchar *v1, const gchar *v2);
+int gplugin_version_compare(const char *v1, const char *v2);
 
 G_END_DECLS
 
diff --git a/gplugin/gplugin-version.c b/gplugin/gplugin-version.c
--- a/gplugin/gplugin-version.c
+++ b/gplugin/gplugin-version.c
@@ -27,7 +27,7 @@
  *****************************************************************************/
 GRegex *regex = NULL;
 
-static const gchar *version_pattern = "^(?P<major>\\d+)(\\."
+static const char *version_pattern = "^(?P<major>\\d+)(\\."
 									  "(?P<minor>\\d+)"
 									  "(\\.(?P<micro>\\d+)(?P<extra>.*))?)?$";
 
@@ -59,11 +59,10 @@
 /*< private >
  * gplugin_version_parser:
  * @version: The string version to parse.
- * @major: (out) (nullable): A return gint pointer for the major version.
- * @minor: (out) (nullable): A return gint pointer for the minor version.
- * @micro: (out) (nullable): A return gint pointer for the micro version.
- * @extra: (out) (nullable): A return gchar * pointer for any extra version
- *         info.
+ * @major: (out) (nullable): A return pointer for the major version.
+ * @minor: (out) (nullable): A return pointer for the minor version.
+ * @micro: (out) (nullable): A return pointer for the micro version.
+ * @extra: (out) (nullable): A return pointer for any extra version info.
  *
  * Attempts to parse a version string into its @major, @minor, @micro, and
  * @extra parts.  If @version doesn't match a semantic version string, @major
@@ -71,15 +70,15 @@
  */
 static void
 gplugin_version_parser(
-	const gchar *version,
-	gint *major,
-	gint *minor,
-	gint *micro,
-	gchar **extra)
+	const char *version,
+	int *major,
+	int *minor,
+	int *micro,
+	char **extra)
 {
 	GMatchInfo *info = NULL;
 	gboolean matches = FALSE;
-	gchar *temp = NULL;
+	char *temp = NULL;
 
 	/* initialize everything to our failed state */
 	if(major != NULL) {
@@ -208,7 +207,7 @@
  *          or a string describing the version mismatch. The returned string
  *          is owned by GPlugin and must not be modified or freed.
  */
-const gchar *
+const char *
 gplugin_version_check(guint major, guint minor, guint micro)
 {
 	if(major > GPLUGIN_MAJOR_VERSION) {
@@ -243,12 +242,12 @@
  * Returns: less than 0 if @v1 is less than @v2, 0 if @v1 is equal to @v1, and
  *          greater than 0 if @v1 is greater than @v2.
  */
-gint
-gplugin_version_compare(const gchar *v1, const gchar *v2)
+int
+gplugin_version_compare(const char *v1, const char *v2)
 {
-	gint v1_maj = 0, v1_min = 0, v1_mic = 0;
-	gint v2_maj = 0, v2_min = 0, v2_mic = 0;
-	gint t = 0;
+	int v1_maj = 0, v1_min = 0, v1_mic = 0;
+	int v2_maj = 0, v2_min = 0, v2_mic = 0;
+	int t = 0;
 
 	if(regex == NULL) {
 		gplugin_version_lazy_init();
diff --git a/gplugin/reference/native-plugins.md b/gplugin/reference/native-plugins.md
--- a/gplugin/reference/native-plugins.md
+++ b/gplugin/reference/native-plugins.md
@@ -25,7 +25,7 @@
 	/* Authors is a list of authors who worked on the plugin.  Generally
 	 * these are in the "Name Surname <user@domain.com>" format.
 	 */
-	const gchar * const authors[] = {
+	const char * const authors[] = {
 		"Author O <author@example.com>",
 		NULL
 	};
diff --git a/gplugin/tests/test-auto-load.c b/gplugin/tests/test-auto-load.c
--- a/gplugin/tests/test-auto-load.c
+++ b/gplugin/tests/test-auto-load.c
@@ -99,7 +99,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-bind-global.c b/gplugin/tests/test-bind-global.c
--- a/gplugin/tests/test-bind-global.c
+++ b/gplugin/tests/test-bind-global.c
@@ -50,7 +50,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-core.c b/gplugin/tests/test-core.c
--- a/gplugin/tests/test-core.c
+++ b/gplugin/tests/test-core.c
@@ -32,7 +32,7 @@
 	l_ids = gplugin_manager_list_plugins(manager);
 	for(l_id = l_ids; l_id; l_id = l_id->next) {
 		GSList *l_plugins = NULL, *l_plugin = NULL;
-		const gchar *id = (const gchar *)l_id->data;
+		const char *id = (const char *)l_id->data;
 
 		ids += 1;
 
@@ -146,7 +146,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-dynamic-type.c b/gplugin/tests/test-dynamic-type.c
--- a/gplugin/tests/test-dynamic-type.c
+++ b/gplugin/tests/test-dynamic-type.c
@@ -79,7 +79,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
diff --git a/gplugin/tests/test-find-plugins.c b/gplugin/tests/test-find-plugins.c
--- a/gplugin/tests/test-find-plugins.c
+++ b/gplugin/tests/test-find-plugins.c
@@ -24,7 +24,7 @@
  *****************************************************************************/
 static void
 test_gplugin_manager_foreach_load_plugins(
-	G_GNUC_UNUSED const gchar *id,
+	G_GNUC_UNUSED const char *id,
 	GSList *plugins,
 	G_GNUC_UNUSED gpointer data)
 {
@@ -38,7 +38,7 @@
 
 static void
 test_gplugin_manager_foreach_unload_plugins(
-	G_GNUC_UNUSED const gchar *id,
+	G_GNUC_UNUSED const char *id,
 	GSList *plugins,
 	G_GNUC_UNUSED gpointer data)
 {
@@ -146,7 +146,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-id-collision.c b/gplugin/tests/test-id-collision.c
--- a/gplugin/tests/test-id-collision.c
+++ b/gplugin/tests/test-id-collision.c
@@ -49,7 +49,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-id-normalize.c b/gplugin/tests/test-id-normalize.c
--- a/gplugin/tests/test-id-normalize.c
+++ b/gplugin/tests/test-id-normalize.c
@@ -23,10 +23,10 @@
  * Tests
  *****************************************************************************/
 static void
-test_id_normalize(const gchar *input, const gchar *expected)
+test_id_normalize(const char *input, const char *expected)
 {
 	GPluginPluginInfo *info = NULL;
-	gchar *normalized = NULL;
+	char *normalized = NULL;
 
 	info = gplugin_plugin_info_new(input, 0, NULL);
 	normalized = gplugin_plugin_info_get_id_normalized(info);
@@ -93,7 +93,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	g_test_init(&argc, &argv, G_TEST_OPTION_ISOLATE_DIRS, NULL);
 
diff --git a/gplugin/tests/test-loader-registration.c b/gplugin/tests/test-loader-registration.c
--- a/gplugin/tests/test-loader-registration.c
+++ b/gplugin/tests/test-loader-registration.c
@@ -43,7 +43,7 @@
 static GPluginPlugin *
 test_gplugin_loader_query(
 	G_GNUC_UNUSED GPluginLoader *loader,
-	G_GNUC_UNUSED const gchar *filename,
+	G_GNUC_UNUSED const char *filename,
 	G_GNUC_UNUSED GError **error)
 {
 	return NULL;
@@ -249,7 +249,7 @@
  * Main
  *****************************************************************************/
 gint
-main(gint argc, gchar **argv)
+main(gint argc, char **argv)
 {
 	gint r = 0;
 
